import { system, world } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('pa_sdcann:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_pdcoca:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdmarih:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdte:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdcafe:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdopio:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 4) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_ephedra:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_khat:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdtatandi:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdthai_bufalo:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdamanita_muscaria:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdcornezuelo:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdrivea_corymbosa:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdipomoea:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdpeyote:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdmescalina:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdsetas_azules:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdkratom:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdtabaco:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 4) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdburundanga:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdestramonio:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 4) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sddesmathus_illionesis:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdsalvia_dicinorum:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 4) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdiboga:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 4) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdkava:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 3) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_psychotria_viridis:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 4) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

initEvent.blockComponentRegistry.registerCustomComponent('pa_sdayahuasca:trigger', {
  onRandomTick: e => { const growthChance = 1 / 3;
if (Math.random() > growthChance) return;

const growth = e.block.permutation.getState("pa:growth");
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth + 1)
);
 },
onPlayerInteract: e => { if (!e.player) return;

const equippable = e.player.getComponent("minecraft:equippable");
if (!equippable) return;

const mainhand = equippable.getEquipmentSlot("Mainhand");
if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bone_meal")
    return;

let growth = e.block.permutation.getState("pa:growth");

if (growth >= 4) return;

growth += 1;
e.block.setPermutation(
    e.block.permutation.withState("pa:growth", growth)
);

if (mainhand.amount > 1) mainhand.amount--;
else mainhand.setItem(undefined);

const effectLocation = e.block.center();
e.dimension.playSound("item.bone_meal.use", effectLocation);
e.dimension.spawnParticle(
    "minecraft:crop_growth_emitter",
    effectLocation
);
 },
});

});
